org.aspectj.runtime.internal.cflowstack

## Class ThreadStackFactoryImpl11

- java.lang.Object
- - org.aspectj.runtime.internal.cflowstack.ThreadStackFactoryImpl11

All Implemented Interfaces:
  ThreadStackFactory

    public class ThreadStackFactoryImpl11
    extends Object
    implements ThreadStackFactory

### Constructor Summary

Constructors
Constructor and Description
`ThreadStackFactoryImpl11()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ThreadCounter` `getNewThreadCounter()`
`ThreadStack` `getNewThreadStack()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ThreadStackFactoryImpl11

    public ThreadStackFactoryImpl11()

### Method Detail

#### getNewThreadStack

    public ThreadStack getNewThreadStack()

Specified by:
  `getNewThreadStack` in interface `ThreadStackFactory`

#### getNewThreadCounter

    public ThreadCounter getNewThreadCounter()

Specified by:
  `getNewThreadCounter` in interface `ThreadStackFactory`